## org.eclipse.emf.workspace.internal
Class EMFWorkspacePlugin

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingResourceLocator
          org.eclipse.emf.common.EMFPlugin
              org.eclipse.emf.workspace.internal.EMFWorkspacePlugin

All Implemented Interfaces:
  Logger, ResourceLocator

    public class EMFWorkspacePlugin

extends EMFPlugin

The main plugin class to be used in the desktop.

Nested Class Summary
`static class` `EMFWorkspacePlugin.Implementation` The definition of the Eclipse plug-in flavour of this EMF plug-in.

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper`

Field Summary
`static EMFWorkspacePlugin` `INSTANCE`
`static String` `OPTION_OWNING_OPERATION` Transaction option that references the AbstractEMFOperation that created it.

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Constructor Summary
`EMFWorkspacePlugin()` The constructor.

Method Summary
`static EMFWorkspacePlugin.Implementation` `getPlugin()` Obtains the Eclipse plug-in that I implement.
`static String` `getPluginId()` Obtains my plug-in identifier.
`ResourceLocator` `getPluginResourceLocator()`

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString`

Field Detail

### OPTION_OWNING_OPERATION

    public static final String OPTION_OWNING_OPERATION

  Transaction option that references the AbstractEMFOperation that created it.

  See Also:
    Constant Field Values

### INSTANCE

    public static final EMFWorkspacePlugin INSTANCE

Constructor Detail

### EMFWorkspacePlugin

    public EMFWorkspacePlugin()

  The constructor.

Method Detail

### getPluginResourceLocator

    public ResourceLocator getPluginResourceLocator()

  Specified by:
    `getPluginResourceLocator` in class `EMFPlugin`

### getPlugin

    public static EMFWorkspacePlugin.Implementation getPlugin()

  Obtains the Eclipse plug-in that I implement.

  Returns:
    my Eclipse plug-in self

### getPluginId

    public static String getPluginId()

  Obtains my plug-in identifier.

  Returns:
    my plug-in unique ID

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.